View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
15435Bug reportsSurvey editingpublic2020-02-22 20:54
Reportertpartner Assigned Tocdorin  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.0.0-RC5 
Summary15435: Saving question gives error - "Question could not be stored. Reloading page"
Description

Add a question.
Select list-radio type.
Click into "answer options" but do not add answers.
Click Save.
I get a message "Question could not be stored. Reloading page".
The page reloads with "Create new Question" but looking at the Structure indicates that the question was saved.
Then when editing the question, answers cannot be added - see bug_2.png.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)4.0.0-RC5
I will donate to the project if issue is resolvedNo
BrowserChrome 77.0.3865.120
Database type & versionmysqlnd 5.0.12
Server OS (if known)Widows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Relationships

related to 15460 closed Unable to save question after using quick replace in answers 
related to 15469 closedJHoeck Submit invalid part from question title/code : loose all data 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

tpartner

tpartner

2019-10-21 14:35

partner  

bug_2.png (10,787 bytes)   
bug_2.png (10,787 bytes)   
markusfluer

markusfluer

2019-10-30 11:09

administrator   ~54271

I can't replicate this anymore.
Probably fixed already?

tpartner

tpartner

2019-10-30 13:14

partner   ~54275

@markusfluer, I still have the problem after a fresh GIT pull today.

See screencast - https://screencast-o-matic.com/watch/cq6vl6u8xh

tpartner

tpartner

2019-10-30 13:28

partner   ~54276

...when debug = 0 or debug = 1.

DenisChenu

DenisChenu

2019-10-30 14:28

developer   ~54277

Last edited: 2019-10-30 14:29

null01 : invalid answer code ? Disable saving ?

tpartner

tpartner

2019-10-30 15:16

partner   ~54278

Maybe but that's the default code and the question is saved (sort of).

tpartner

tpartner

2019-10-30 15:18

partner   ~54279

Yes, when I remove that default code the question saves correctly.

DenisChenu

DenisChenu

2019-10-30 15:33

developer   ~54280

@tpartner : yes : multiple issue here

  1. Invalid code : can submit,
  2. Submit invalid : all work is broken
  3. invalid default code
  4. Maybe more ;)
tpartner

tpartner

2020-01-15 19:39

partner   ~55312

This appears to be fixed in 4.0.0.

Issue History

Date Modified Username Field Change
2019-10-21 14:35 tpartner New Issue
2019-10-21 14:35 tpartner File Added: bug_2.png
2019-10-30 11:09 markusfluer Note Added: 54271
2019-10-30 13:14 tpartner Note Added: 54275
2019-10-30 13:28 tpartner Note Added: 54276
2019-10-30 14:27 DenisChenu Relationship added related to 15460
2019-10-30 14:28 DenisChenu Note Added: 54277
2019-10-30 14:28 DenisChenu Relationship added related to 15469
2019-10-30 14:29 DenisChenu Note Edited: 54277
2019-10-30 15:16 tpartner Note Added: 54278
2019-10-30 15:18 tpartner Note Added: 54279
2019-10-30 15:33 DenisChenu Note Added: 54280
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing
2019-12-03 15:45 cdorin Assigned To => cdorin
2019-12-03 15:45 cdorin Status new => assigned
2020-01-15 19:39 tpartner Note Added: 55312
2020-02-22 20:54 cdorin Status assigned => closed
2020-02-22 20:54 cdorin Resolution open => fixed